/*
 * 文 件 名:  WeatherConfig
 * 版    权:  华设设计集团股份有限公司
 * 描    述:  <描述>
 * 修 改 人:  lvwenbin
 * 修改时间:  2025/5/27
 * 跟踪单号:  <跟踪单号>
 * 修改单号:  <修改单号>
 * 修改内容:  <修改内容>
 */
package com.ruoyi.ems.config;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Configuration;

/**
 * 天气采集配
 * <功能详细描述>
 *
 * @author lvwenbin
 * @version [版本号, 2025/5/27]
 * @see [相关类/方法]
 * @since [产品/模块版本]
 */
@Configuration
public class WeatherConfig {
    @Value("${general-data.api-key}")
    private String apiKey;

    @Value("${general-data.weather.adcode}")
    private String adcode;

    @Value("${general-data.weather.rt.api-addr}")
    private String weatherRtAddr;

    @Value("${general-data.weather.forecast.api-addr}")
    private String weatherForecastAddr;

    public String getAdcode() {
        return adcode;
    }

    public void setAdcode(String adcode) {
        this.adcode = adcode;
    }

    public String getApiKey() {
        return apiKey;
    }

    public void setApiKey(String apiKey) {
        this.apiKey = apiKey;
    }

    public String getWeatherRtAddr() {
        return weatherRtAddr;
    }

    public void setWeatherRtAddr(String weatherRtAddr) {
        this.weatherRtAddr = weatherRtAddr;
    }

    public String getWeatherForecastAddr() {
        return weatherForecastAddr;
    }

    public void setWeatherForecastAddr(String weatherForecastAddr) {
        this.weatherForecastAddr = weatherForecastAddr;
    }
}